
QGIS Application - Bug report #3501

QGIS 1.6.0 fails to install on Windows 7 with cannot access the file because it is being used by 

another process

2011-02-18 01:11 AM - marisn -

Status: Closed

Priority: Low

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 13561

Description

For some reason simple installer fails during last step - translating bat file templates to real ones. Will attach install log.

History

#1 - 2011-03-02 04:39 AM - landry Landry Breuil

Had the same issue on a [[WinXP]] computer, same error message at the end of installation :

Create folder: C:\\ProgramData\\Microsoft\\Windows\\Start Menu\\Programs\\Quantum GIS Copiapo

The process cannot access the file because it is being used by another process.

Running postinstall grass.bat...

Running postinstall msvcrt.bat...

Dunno if it's related, but the installer was executed from a samba share.

#2 - 2011-07-07 08:37 AM - landry Landry Breuil

The issue is still present in qgis 1.7.0, and this time i've tried with the installer launched from the local disk, and with antivirus software stopped.

It produces a non-working installation, since all *.tmpl files are not copied to their final destination (same name without .tmpl) with osgeo4w replaced by the

install path. Manually doing that is painful, but finally qgis can run. Still, that's an annoying issue.

#3 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-02-05 06:40 AM - Jon Slade

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

Hi Giovanni

I'm getting the same issue on Win 7 with qgis 1.7.0 - you mention using some manual steps to get a working installation namely changing all .tmpl files to

same name without .tmpl which I think I follow (I searched for *.tmpl under the install directory and renamed).  The next bit about osgeo4w I don't follow...do

you mean change the parameter for the root install directory in qgis.bat?

Thanks
Jon

#5 - 2012-04-16 06:26 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-06-24 02:13 PM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Resolution set to wontfix

I think se can safely close this.

Files

qgis_install.log.zip 60.5 KB 2011-02-18 marisn -
